MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024013Community[OCCT] OCCT:Visualizationpublic2013-06-05 14:562013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024013: Voxel_FastConverter is able to use existing triangulation
DescriptionDue to the fact that it is not possible to judge whether a shape has already been triangulated with the desired deflection value or not (see related issues) I propose to add the possibility to use existing triangulation in Voxel_FastConverter.

In such case redundant meshing can be avoided. The programmer can also affect the triangulation parameter and/or use parallel processing if needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023966closedPawel Voxel_FastConverter performs unnecessary triangulation. 
related to 0023200closedbugmaster Visualization - prevent multiple triangulating of a shape that already has been triangulated 

-  Notes
(0024638)
Pawel (developer)
2013-06-05 15:00

Branch CR24013 pushed. Please review.
(0024639)
vro (developer)
2013-06-05 15:31

Reviewed!
(0024645)
mkv (tester)
2013-06-06 10:16
edited on: 2013-06-06 10:16

Dear BugMaster,

Branch CR4013 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: beb58fd37ea46ec13ba1bc9b8a0f15450fee83fa

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366525328 / 366226168
Total CPU difference: 51348.64000000051 / 41751.510000001166

Testing on Windows:
Total MEMORY difference: 420273132 / 422030860
Total CPU difference: 46908.234375 / 41833.890625

There are not differences in images found by testdiff.


- Related Changesets
occt: master c5e9fb8b
Timestamp: 2013-06-13 10:45:04
Author: Pawel
Details ] Diff ]
0024013: Voxel_FastConverter is able to use existing triangulation

Added the possibility to use existing triangulation within Voxel_FastConverter.
A grammar mistake is corrected.
mod - src/Voxel/Voxel_FastConverter.cdl Diff ] File ]
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-05 14:56 Pawel New Issue
2013-06-05 14:56 Pawel Assigned To => Pawel
2013-06-05 14:59 Pawel Relationship added related to 0023966
2013-06-05 14:59 Pawel Relationship added related to 0023200
2013-06-05 15:00 Pawel Note Added: 0024638
2013-06-05 15:00 Pawel Assigned To Pawel => vro
2013-06-05 15:00 Pawel Status new => resolved
2013-06-05 15:31 vro Note Added: 0024639
2013-06-05 15:31 vro Status resolved => reviewed
2013-06-06 10:16 mkv Note Added: 0024645
2013-06-06 10:16 mkv Note Edited: 0024645 View Revisions
2013-06-06 10:17 mkv Test case number => Not needed
2013-06-06 10:17 mkv Assigned To vro => bugmaster
2013-06-06 10:17 mkv Status reviewed => tested
2013-06-14 12:18 Pawel Changeset attached => occt master c5e9fb8b
2013-06-14 12:18 Pawel Assigned To bugmaster => Pawel
2013-06-14 12:18 Pawel Status tested => verified
2013-06-14 12:18 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker